#!/bin/bash


#########################
# MAIN CODE STARTS HERE #
#########################
var=$1

#login on storage cluster
source ./Run_Ssh.sh

# configuration
echo "---- Start Timestamp: `date` ----" > profile_$1_as5500g2.txt
echo "<<< Configuration Information >>>" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt
echo "1.System Info" >> profile_$1_as5500g2.txt
echo "2.Controller Info" >> profile_$1_as5500g2.txt
echo "3.Frontend/Backend Connection" >> profile_$1_as5500g2.txt
echo "4.Pool Info" >> profile_$1_as5500g2.txt
echo "5.Disk Info" >> profile_$1_as5500g2.txt
echo "6.RAID Info" >> profile_$1_as5500g2.txt
echo "7.LUN Info" >> profile_$1_as5500g2.txt
echo "8.Enclosure Info" >> profile_$1_as5500g2.txt
echo "9.Private Network" >> profile_$1_as5500g2.txt

# 1.system info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 1.System Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt
echo "-----------  Product Info ---------------" >> profile_$1_as5500g2.txt
RunSsh  lssystem >> profile_$1_as5500g2.txt

echo "----------- storage cluster ---------------" >> profile_$1_as5500g2.txt
iogrp=`RunSsh lsiogrp |grep io_grp |cut -d ' ' -f 1`
for iogrpId in $iogrp;
do
        echo "--------------" >> profile_$1_as5500g2.txt
        echo lsiogrp $iogrpId
        RunSsh "lsiogrp $iogrpId" >> profile_$1_as5500g2.txt
done

# 2.controller firmware
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 2.Controller Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt


echo "----------- Controller Firmware ---------------" >> profile_$1_as5500g2.txt
RunSsh lsenclosurecanister >> profile_$1_as5500g2.txt
enclosurecanister=`RunSsh lsenclosurecanister |grep node|grep online| cut -d ' ' -f 1`
for enclosure_id in $enclosurecanister;
do
        echo "--------------"  >> profile_$1_as5500g2.txt
        echo lsenclosurecanister -canister 1 $enclosure_id
        echo lsenclosurecanister -canister 2 $enclosure_id
        RunSsh "lsenclosurecanister -canister 1 $enclosure_id" >> profile_$1_as5500g2.txt
        RunSsh "lsenclosurecanister -canister 2 $enclosure_id" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt

echo "----------- Cache Info --------" >> profile_$1_as5500g2.txt
panel_name=`RunSsh "mtinq lsservicenodes" |grep node|grep Active| cut -d ' ' -f 1`
for panel_name_id in $panel_name;
do
        echo "--------------"  >> profile_$1_as5500g2.txt
        echo  "mtinq lshardware  $panel_name_id |grep memory"
        RunSsh "mtinq lshardware  $panel_name_id |grep memory" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt

echo "----------- Battery Info --------" >> profile_$1_as5500g2.txt
RunSsh lsenclosurebattery  >> profile_$1_as5500g2.txt

# 3.Frontend/Backend Connection
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 3.Frontend/Backend Connection *****" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Frontend Connection---------" >> profile_$1_as5500g2.txt
RunSsh lsportfc >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

RunSsh lsfabric >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Backend Connection ---------" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

panel_name=`RunSsh "mtinq lsservicenodes" |grep node|grep Active| cut -d ' ' -f 1`
for panel_name_id in $panel_name;
do
        echo "--------------"  >>  profile_$1_as5500g2.txt
        echo  "mtinq lshardware  $panel_name_id |grep adapter"
        RunSsh "mtinq lshardware  $panel_name_id |grep adapter" >>  profile_$1_as5500g2.txt
done
RunSsh echo "" >> profile_$1_as5500g2.txt


# 4.Pool Info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 4.Pool Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Pool List ---------" >> profile_$1_as5500g2.txt
RunSsh lsmdiskgrp  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Pool Details ---------" >> profile_$1_as5500g2.txt
mdiskgrp=`RunSsh lsmdiskgrp |grep online |cut -d ' ' -f 1`
for mdiskgrpId in $mdiskgrp;
do
        echo "--------------" >>  profile_$1_as5500g2.txt
        echo lsmdiskgrp $mdiskgrpId
        RunSsh "lsmdisk $mdiskgrpId" >>  profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt


# 5.disk Info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 5.Disk Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Disk List ---------" >> profile_$1_as5500g2.txt
RunSsh lsdrive  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Disk Details ---------" >> profile_$1_as5500g2.txt
drive=`RunSsh lsdrive |grep member|grep online| cut -d ' ' -f 1`
for driveId in $drive;
do
        echo "--------------" >>  profile_$1_as5500g2.txt
        echo lsdrive $driveId 
        RunSsh "lsdrive $driveId" >>  profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt


# 6.raid Info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 6.RAID Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- raid List ---------" >> profile_$1_as5500g2.txt
RunSsh lsarray  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- raid Details ---------" >> profile_$1_as5500g2.txt
array=`RunSsh lsarray |grep raid10| cut -d ' ' -f 1`
for mdisk in $array;
do
        echo "--------------" >> profile_$1_as5500g2.txt
        echo lsarray $mdisk
        RunSsh "lsarray $mdisk" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt


# 7.lun info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "*********	7.LUN Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- LUN List ---------" >> profile_$1_as5500g2.txt
RunSsh lsvdisk  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- LUN Details ---------" >> profile_$1_as5500g2.txt
vdisk=`RunSsh lsvdisk |grep io_grp| cut -d ' ' -f 1`
for lun in $vdisk;
do
        echo "--------------"  >> profile_$1_as5500g2.txt
        echo lsvdisk $lun
        RunSsh "lsvdisk $lun" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt

echo "--------- LUN mapping  ---------" >> profile_$1_as5500g2.txt
RunSsh lshostvdiskmap  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

# 8.host info
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "*********	7.Host Info *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Host List ---------" >> profile_$1_as5500g2.txt
RunSsh lshost  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Host Details ---------" >> profile_$1_as5500g2.txt
host=`RunSsh lshost |grep online| cut -d ' ' -f 1`
for hostId in $host;
do
        echo "--------------" >> profile_$1_as5500g2.txt
        echo lshost $hostId 
        RunSsh "lshost $hostId" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt

echo "--------- LUN mapping  ---------" >> profile_$1_as5500g2.txt
RunSsh lshostvdiskmap  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

#8.Enclosure information witch psu ,fan,battery
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 8.Enclosure Information *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt

echo "--------- Enclosure List ---------" >> profile_$1_as5500g2.txt
RunSsh lsenclosure  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Enclosure Details ---------" >> profile_$1_as5500g2.txt
enclosure=`RunSsh lsenclosure |grep online| cut -d ' ' -f 1`
for enclosureId in $enclosure;
do
        echo "--------------" >> profile_$1_as5500g2.txt
        echo lshost $enclosureId
        RunSsh "lsenclosure $enclosureId" >> profile_$1_as5500g2.txt
done
echo "" >> profile_$1_as5500g2.txt

echo "--------- PSU of Enclosure  ---------" >> profile_$1_as5500g2.txt
RunSsh lsenclosurepsu  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Battery of Enclosure  ---------" >> profile_$1_as5500g2.txt
RunSsh lsenclosurebattery  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt

echo "--------- Battery of Enclosure  ---------" >> profile_$1_as5500g2.txt
RunSsh lssasfabric  >> profile_$1_as5500g2.txt
echo "" >> profile_$1_as5500g2.txt


#9.Private Network information
echo "" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt
echo "********* 9.Private Network Information *********" >> profile_$1_as5500g2.txt
echo "*********************************************" >> profile_$1_as5500g2.txt

RunSsh lsportip >> profile_$1_as5500g2.txt


echo "---- End Timestamp: `date` ----" >> profile_$1_as5500g2.txt

